>From 5502849626f3e31dadb549cd84ef1b24e39e4e26 Mon Sep 17 00:00:00 2001
From: Craig Ringer <craig@2ndquadrant.com>
Date: Mon, 16 Jun 2014 12:20:44 +0800
Subject: [PATCH 1/2] Document build outputs

The build didn't explain what went where, or what to do about dependencies.
Improve the docs to cover the topic.
---
 winbuild/readme.txt | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/winbuild/readme.txt b/winbuild/readme.txt
index 1de8f66..8faa118 100755
--- a/winbuild/readme.txt
+++ b/winbuild/readme.txt
@@ -57,4 +57,34 @@
 
 	Get-Help .\BuildAll(.ps1) [-Detailed | -Examples | -Full]
 
+  5. Outputs
+
+     The build can produce output in up to four directories for each of
+     the debug and release configurations:
+
+     - AMD64Release            the Unicode driver, 64-bit
+     - AMD64ANSIRelease        the ANSI driver, 64-bit
+     - Release                 the ANSI driver, 32-bit
+     - MultibyteRelease        the Unicode driver, 32-bit
+
+     For debug builds (-Configuration Debug) the directories are named with
+     Debug instead of Release but otherwise the same.
+
+     pgxalib.dll is only built for the multibyte/unicode version, as it is
+     the same for both unicode and ansi drivers.
+
+     Dependencies like libpq, openssl, etc are not copied into the build
+     output directories. You must copy them to the target directory yourself.
+     Dependency Walker (depends.exe) from http://dependencywalker.com/ can help
+     you find what's needed, but in general you'll need to add:
+
+     - libpq (from the PostgreSQL bin dir)
+     - libintl (from the PostgreSQL bin dir)
+     - ssleay32 (from the OpenSSL bin dir)
+     - libeay32 (from the OpenSSL bin dir)
+
+     ... and the Visual Studio runtime redist for the version of Visual Studio
+     you compiled with.
+     
+
 ***********************************************************************/
-- 
1.9.0

